ru.bitel.bgbilling.plugins.crm.common.model

## Class PersonalRegisterTask

- java.lang.Object
- - ru.bitel.bgbilling.plugins.crm.common.model.PersonalRegisterTask

-     public class PersonalRegisterTask
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersonalRegisterTask()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getArea()`
    `java.lang.String` | `getCity()`
    `java.lang.String` | `getContract()`
    `java.lang.String` | `getContractComment()`
    `java.lang.String` | `getFio()`
    `java.lang.String` | `getFlat()`
    `java.lang.String` | `getHouse()`
    `java.lang.String` | `getObjectTitle()`
    `java.lang.String` | `getPhone()`
    `int` | `getPod()`
    `java.lang.String` | `getQuarter()`
    `java.lang.String` | `getStreet()`
    `RegisterTask` | `getTask()`
    `void` | `setArea(java.lang.String area)`
    `void` | `setCity(java.lang.String city)`
    `void` | `setContract(java.lang.String contract)`
    `void` | `setContractComment(java.lang.String contractComment)`
    `void` | `setFio(java.lang.String fio)`
    `void` | `setFlat(java.lang.String flat)`
    `void` | `setHouse(java.lang.String house)`
    `void` | `setObjectTitle(java.lang.String objectTitle)`
    `void` | `setPhone(java.lang.String phone)`
    `void` | `setPod(int pod)`
    `void` | `setQuarter(java.lang.String quarter)`
    `void` | `setStreet(java.lang.String street)`
    `void` | `setTask(RegisterTask task)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersonalRegisterTask

          public PersonalRegisterTask()

  - ### Method Detail

    - #### setTask

          public void setTask(RegisterTask task)

    - #### setPhone

          public void setPhone(java.lang.String phone)

    - #### setFio

          public void setFio(java.lang.String fio)

    - #### setStreet

          public void setStreet(java.lang.String street)

    - #### setQuarter

          public void setQuarter(java.lang.String quarter)

    - #### setHouse

          public void setHouse(java.lang.String house)

    - #### setFlat

          public void setFlat(java.lang.String flat)

    - #### setContract

          public void setContract(java.lang.String contract)

    - #### setCity

          public void setCity(java.lang.String city)

    - #### getTask

          public RegisterTask getTask()

    - #### getPhone

          public java.lang.String getPhone()

    - #### getFio

          public java.lang.String getFio()

    - #### getStreet

          public java.lang.String getStreet()

    - #### getQuarter

          public java.lang.String getQuarter()

    - #### getHouse

          public java.lang.String getHouse()

    - #### getFlat

          public java.lang.String getFlat()

    - #### getContract

          public java.lang.String getContract()

    - #### getCity

          public java.lang.String getCity()

    - #### getPod

          public int getPod()

    - #### setPod

          public void setPod(int pod)

    - #### getContractComment

          public java.lang.String getContractComment()

    - #### setContractComment

          public void setContractComment(java.lang.String contractComment)

    - #### getArea

          public java.lang.String getArea()

    - #### setArea

          public void setArea(java.lang.String area)

    - #### getObjectTitle

          public java.lang.String getObjectTitle()

    - #### setObjectTitle

          public void setObjectTitle(java.lang.String objectTitle)